#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%global		debug_package	%{nil}
#-----------------------------------------------------------------------------
Name		:	howdy
Version		:	2.6.1
Release		:	14.8.0.0%{?dist}
Summary		:	Windows Hello for Linux

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	MIT
URL		:	https://github.com/boltgolt/howdy

Source0		:	%{name}-%{version}.tar.gz
Source1		:	%{name}-ok_addon.tar.gz
#-----------------------------------------------------------------------------
BuildRequires	:	cmake

Requires	:	opencv
Requires	:	pam
Requires	:	pam-python
Requires	:	python3
Requires	:	python3-dlib
Requires	:	python3-numpy
Requires	:	python3-opencv
Requires	:	python-face_recognition
Requires	:	python-face_recognition_models
Requires	:	sddm
Requires	:	v4l-utils
Requires	:	xscreensaver

#-----------------------------------------------------------------------------
%description
Howdy provides Windows Hello™ style authentication for Linux.
Use your built-in IR emitters and camera in combination with
facial recognition to prove who you are.

Using the central authentication system (PAM), this works
everywhere you would otherwise need your password: Login,
lock screen, sudo, su, etc.

#-----------------------------------------------------------------------------
%files
%defattr(-,root,root,-)
%doc LICENSE
%{_bindir}/%{name}
%config(noreplace) %{_libdir}/security/%{name}/config.ini
%{_libdir}/security/%{name}/*.py
%{_libdir}/security/%{name}/cli/*.py
%{_libdir}/security/%{name}/dlib-data/.gitignore
%{_libdir}/security/%{name}/dlib-data/*
%{_libdir}/security/%{name}/logo.png
%{_libdir}/security/%{name}/pam-config/howdy
%{_libdir}/security/%{name}/recorders/*.py
%{_datadir}/bash-completion/completions/%{name}

#=============================================================================
%package		sddm
summary		:	To use howdy (face recognition) with sddm


#-----------------------------------------------------------------------------
Requires	:	%{name}	= %{version}-%{release}
Requires	:	sddm

#-----------------------------------------------------------------------------
%description		sddm
This package adjuste file /etc/pam.d/sddm to allow
hody (face recognition) to be use user face to login
with an sddm greter.

#-----------------------------------------------------------------------------
%files			sddm

%post			sddm
sed -i							\
    -e "s/^#howdy //"					\
    /etc/pam.d/xscreensaver				\
    /etc/pam.d/sddm

%preun			sddm
if [ "$1" = 0 ]; then
  sed -i						\
    -e "/howdy/s/^/#howdy /"				\
    /etc/pam.d/xscreensaver				\
    /etc/pam.d/sddm
  fi

#=============================================================================
%prep
%setup -q
tar xf %{SOURCE1}

#-----------------------------------------------------------------------------
#building application
%build

sed -i							\
  -e "s:/bin/nano:/usr/bin/vi:"				\
  src/cli/config.py

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__mkdir_p}							\
	%{buildroot}%{_libdir}/security/%{name}			\
	%{buildroot}%{_bindir}					\
	%{buildroot}%{_datadir}/bash-completion/completions	\

%{__cp} -r							\
	src/*							\
	%{buildroot}%{_libdir}/security/%{name}

%{__cp}								\
	autocomplete/%{name}					\
	%{buildroot}%{_datadir}/bash-completion/completions	\

%{__ln_s}							\
	../../%{_libdir}/security/%{name}/cli.py		\
	%{buildroot}%{_bindir}/%{name}

#populating data
(
pushd	%{name}-ok_addon

%{__cp}								\
	dlib_face_recognition_resnet_model_v1.dat		\
	mmod_human_face_detector.dat				\
	shape_predictor_5_face_landmarks.dat			\
	%{buildroot}%{_libdir}/security/%{name}/dlib-data

popd
)

	
#-----------------------------------------------------------------------------
%changelog
